use master
exec sp_dboption 'lportal', 'allow nulls by default' , true
go

exec sp_dboption 'lportal', 'select into/bulkcopy/pllsort' , true
go

use lportal

create table Account_ (
	mvccVersion decimal(20,0) default 0 not null,
	accountId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentAccountId decimal(20,0),
	name varchar(75) null,
	legalName varchar(75) null,
	legalId varchar(75) null,
	legalType varchar(75) null,
	sicCode varchar(75) null,
	tickerSymbol varchar(75) null,
	industry varchar(75) null,
	type_ varchar(75) null,
	size_ varchar(75) null
)
go

create table Address (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	addressId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	street1 varchar(75) null,
	street2 varchar(75) null,
	street3 varchar(75) null,
	city varchar(75) null,
	zip varchar(75) null,
	regionId decimal(20,0),
	countryId decimal(20,0),
	typeId decimal(20,0),
	mailing int,
	primary_ int
)
go

create table AnnouncementsDelivery (
	mvccVersion decimal(20,0) default 0 not null,
	deliveryId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	type_ varchar(75) null,
	email int,
	sms int,
	website int
)
go

create table AnnouncementsEntry (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	entryId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	title varchar(75) null,
	content text null,
	url varchar(4000) null,
	type_ varchar(75) null,
	displayDate bigdatetime null,
	expirationDate bigdatetime null,
	priority int,
	alert int
)
go

create table AnnouncementsFlag (
	mvccVersion decimal(20,0) default 0 not null,
	flagId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate bigdatetime null,
	entryId decimal(20,0),
	value int
)
go

create table AssetCategory (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	categoryId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentCategoryId decimal(20,0),
	treePath varchar(4000) null,
	name varchar(255) null,
	title text null,
	description text null,
	vocabularyId decimal(20,0),
	lastPublishDate bigdatetime null,
	primary key (categoryId, ctCollectionId)
)
go

create table AssetEntries_AssetCategories (
	companyId decimal(20,0) not null,
	categoryId decimal(20,0) not null,
	entryId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (categoryId, entryId, ctCollectionId)
)
go

create table AssetEntries_AssetTags (
	companyId decimal(20,0) not null,
	entryId decimal(20,0) not null,
	tagId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (entryId, tagId, ctCollectionId)
)
go

create table AssetEntry (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	entryId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	classUuid varchar(75) null,
	classTypeId decimal(20,0),
	listable int,
	visible int,
	startDate bigdatetime null,
	endDate bigdatetime null,
	publishDate bigdatetime null,
	expirationDate bigdatetime null,
	mimeType varchar(75) null,
	title varchar(4000) null,
	description text null,
	summary text null,
	url varchar(4000) null,
	layoutUuid varchar(75) null,
	height int,
	width int,
	priority float,
	primary key (entryId, ctCollectionId)
)
go

create table AssetLink (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	linkId decimal(20,0) not null,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	entryId1 decimal(20,0),
	entryId2 decimal(20,0),
	type_ int,
	weight int,
	primary key (linkId, ctCollectionId)
)
go

create table AssetTag (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	tagId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name varchar(75) null,
	assetCount int,
	lastPublishDate bigdatetime null,
	primary key (tagId, ctCollectionId)
)
go

create table AssetVocabulary (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	vocabularyId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name varchar(75) null,
	title varchar(4000) null,
	description varchar(4000) null,
	settings_ varchar(4000) null,
	visibilityType int,
	lastPublishDate bigdatetime null,
	primary key (vocabularyId, ctCollectionId)
)
go

create table BrowserTracker (
	mvccVersion decimal(20,0) default 0 not null,
	browserTrackerId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	browserKey decimal(20,0)
)
go

create table ClassName_ (
	mvccVersion decimal(20,0) default 0 not null,
	classNameId decimal(20,0) not null primary key,
	value varchar(200) null
)
go

create table Company (
	mvccVersion decimal(20,0) default 0 not null,
	companyId decimal(20,0) not null primary key,
	accountId decimal(20,0),
	webId varchar(75) null,
	mx varchar(200) null,
	homeURL varchar(4000) null,
	logoId decimal(20,0),
	system_ int,
	maxUsers int,
	active_ int
)
go

create table CompanyInfo (
	mvccVersion decimal(20,0) default 0 not null,
	companyInfoId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	key_ text null
)
go

create table Contact_ (
	mvccVersion decimal(20,0) default 0 not null,
	contactId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	accountId decimal(20,0),
	parentContactId decimal(20,0),
	emailAddress varchar(254) null,
	firstName varchar(75) null,
	middleName varchar(75) null,
	lastName varchar(75) null,
	prefixId decimal(20,0),
	suffixId decimal(20,0),
	male int,
	birthday bigdatetime null,
	smsSn varchar(75) null,
	facebookSn varchar(75) null,
	jabberSn varchar(75) null,
	skypeSn varchar(75) null,
	twitterSn varchar(75) null,
	employeeStatusId varchar(75) null,
	employeeNumber varchar(75) null,
	jobTitle varchar(100) null,
	jobClass varchar(75) null,
	hoursOfOperation varchar(75) null
)
go

create table Counter (
	name varchar(150) not null primary key,
	currentId decimal(20,0)
)
go

create table Country (
	mvccVersion decimal(20,0) default 0 not null,
	countryId decimal(20,0) not null primary key,
	name varchar(75) null,
	a2 varchar(75) null,
	a3 varchar(75) null,
	number_ varchar(75) null,
	idd_ varchar(75) null,
	zipRequired int,
	active_ int
)
go

create table DLFileEntry (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileEntryId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	repositoryId decimal(20,0),
	folderId decimal(20,0),
	treePath varchar(4000) null,
	name varchar(255) null,
	fileName varchar(255) null,
	extension varchar(75) null,
	mimeType varchar(75) null,
	title varchar(255) null,
	description varchar(4000) null,
	extraSettings text null,
	fileEntryTypeId decimal(20,0),
	version varchar(75) null,
	size_ decimal(20,0),
	smallImageId decimal(20,0),
	largeImageId decimal(20,0),
	custom1ImageId decimal(20,0),
	custom2ImageId decimal(20,0),
	manualCheckInRequired int,
	lastPublishDate bigdatetime null,
	primary key (fileEntryId, ctCollectionId)
)
go

create table DLFileEntryMetadata (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileEntryMetadataId decimal(20,0) not null,
	companyId decimal(20,0),
	DDMStorageId decimal(20,0),
	DDMStructureId decimal(20,0),
	fileEntryId decimal(20,0),
	fileVersionId decimal(20,0),
	primary key (fileEntryMetadataId, ctCollectionId)
)
go

create table DLFileEntryType (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileEntryTypeId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	dataDefinitionId decimal(20,0),
	fileEntryTypeKey varchar(75) null,
	name varchar(4000) null,
	description varchar(4000) null,
	lastPublishDate bigdatetime null,
	primary key (fileEntryTypeId, ctCollectionId)
)
go

create table DLFileEntryTypes_DLFolders (
	companyId decimal(20,0) not null,
	fileEntryTypeId decimal(20,0) not null,
	folderId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (fileEntryTypeId, folderId, ctCollectionId)
)
go

create table DLFileShortcut (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileShortcutId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	repositoryId decimal(20,0),
	folderId decimal(20,0),
	toFileEntryId decimal(20,0),
	treePath varchar(4000) null,
	active_ int,
	lastPublishDate bigdatetime null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null,
	primary key (fileShortcutId, ctCollectionId)
)
go

create table DLFileVersion (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileVersionId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	repositoryId decimal(20,0),
	folderId decimal(20,0),
	fileEntryId decimal(20,0),
	treePath varchar(4000) null,
	fileName varchar(255) null,
	extension varchar(75) null,
	mimeType varchar(75) null,
	title varchar(255) null,
	description varchar(4000) null,
	changeLog varchar(75) null,
	extraSettings text null,
	fileEntryTypeId decimal(20,0),
	version varchar(75) null,
	size_ decimal(20,0),
	checksum varchar(75) null,
	lastPublishDate bigdatetime null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null,
	primary key (fileVersionId, ctCollectionId)
)
go

create table DLFolder (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	folderId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	repositoryId decimal(20,0),
	mountPoint int,
	parentFolderId decimal(20,0),
	treePath varchar(4000) null,
	name varchar(255) null,
	description varchar(4000) null,
	lastPostDate bigdatetime null,
	defaultFileEntryTypeId decimal(20,0),
	hidden_ int,
	restrictionType int,
	lastPublishDate bigdatetime null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null,
	primary key (folderId, ctCollectionId)
)
go

create table EmailAddress (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	emailAddressId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	address varchar(254) null,
	typeId decimal(20,0),
	primary_ int
)
go

create table ExpandoColumn (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	columnId decimal(20,0) not null,
	companyId decimal(20,0),
	tableId decimal(20,0),
	name varchar(75) null,
	type_ int,
	defaultData text null,
	typeSettings text null,
	primary key (columnId, ctCollectionId)
)
go

create table ExpandoRow (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	rowId_ decimal(20,0) not null,
	companyId decimal(20,0),
	modifiedDate bigdatetime null,
	tableId decimal(20,0),
	classPK decimal(20,0),
	primary key (rowId_, ctCollectionId)
)
go

create table ExpandoTable (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	tableId decimal(20,0) not null,
	companyId decimal(20,0),
	classNameId decimal(20,0),
	name varchar(75) null,
	primary key (tableId, ctCollectionId)
)
go

create table ExpandoValue (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	valueId decimal(20,0) not null,
	companyId decimal(20,0),
	tableId decimal(20,0),
	columnId decimal(20,0),
	rowId_ decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	data_ text null,
	primary key (valueId, ctCollectionId)
)
go

create table ExportImportConfiguration (
	mvccVersion decimal(20,0) default 0 not null,
	exportImportConfigurationId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name varchar(200) null,
	description varchar(4000) null,
	type_ int,
	settings_ text null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null
)
go

create table Group_ (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	groupId decimal(20,0) not null,
	companyId decimal(20,0),
	creatorUserId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	parentGroupId decimal(20,0),
	liveGroupId decimal(20,0),
	treePath varchar(4000) null,
	groupKey varchar(150) null,
	name varchar(4000) null,
	description varchar(4000) null,
	type_ int,
	typeSettings text null,
	manualMembership int,
	membershipRestriction int,
	friendlyURL varchar(255) null,
	site int,
	remoteStagingGroupCount int,
	inheritContent int,
	active_ int,
	primary key (groupId, ctCollectionId)
)
go

create table Groups_Orgs (
	companyId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	organizationId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (groupId, organizationId, ctCollectionId)
)
go

create table Groups_Roles (
	companyId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (groupId, roleId, ctCollectionId)
)
go

create table Groups_UserGroups (
	companyId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	userGroupId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (groupId, userGroupId, ctCollectionId)
)
go

create table Image (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	imageId decimal(20,0) not null,
	companyId decimal(20,0),
	modifiedDate bigdatetime null,
	type_ varchar(75) null,
	height int,
	width int,
	size_ int,
	primary key (imageId, ctCollectionId)
)
go

create table Layout (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	plid decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentPlid decimal(20,0),
	privateLayout int,
	layoutId decimal(20,0),
	parentLayoutId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	name varchar(4000) null,
	title text null,
	description text null,
	keywords varchar(4000) null,
	robots varchar(4000) null,
	type_ varchar(75) null,
	typeSettings text null,
	hidden_ int,
	system_ int,
	friendlyURL varchar(255) null,
	iconImageId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	styleBookEntryId decimal(20,0),
	css text null,
	priority int,
	masterLayoutPlid decimal(20,0),
	layoutPrototypeUuid varchar(75) null,
	layoutPrototypeLinkEnabled int,
	sourcePrototypeLayoutUuid varchar(75) null,
	publishDate bigdatetime null,
	lastPublishDate bigdatetime null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null,
	primary key (plid, ctCollectionId)
)
go

create table LayoutBranch (
	mvccVersion decimal(20,0) default 0 not null,
	layoutBranchId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	layoutSetBranchId decimal(20,0),
	plid decimal(20,0),
	name varchar(75) null,
	description varchar(4000) null,
	master int
)
go

create table LayoutFriendlyURL (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	layoutFriendlyURLId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	plid decimal(20,0),
	privateLayout int,
	friendlyURL varchar(255) null,
	languageId varchar(75) null,
	lastPublishDate bigdatetime null,
	primary key (layoutFriendlyURLId, ctCollectionId)
)
go

create table LayoutPrototype (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	layoutPrototypeId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name text null,
	description text null,
	settings_ varchar(4000) null,
	active_ int
)
go

create table LayoutRevision (
	mvccVersion decimal(20,0) default 0 not null,
	layoutRevisionId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	layoutSetBranchId decimal(20,0),
	layoutBranchId decimal(20,0),
	parentLayoutRevisionId decimal(20,0),
	head int,
	major int,
	plid decimal(20,0),
	privateLayout int,
	name varchar(4000) null,
	title varchar(4000) null,
	description varchar(4000) null,
	keywords varchar(4000) null,
	robots varchar(4000) null,
	typeSettings text null,
	iconImageId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null
)
go

create table LayoutSet (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	layoutSetId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	privateLayout int,
	logoId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	settings_ text null,
	layoutSetPrototypeUuid varchar(75) null,
	layoutSetPrototypeLinkEnabled int,
	primary key (layoutSetId, ctCollectionId)
)
go

create table LayoutSetBranch (
	mvccVersion decimal(20,0) default 0 not null,
	layoutSetBranchId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	privateLayout int,
	name varchar(75) null,
	description varchar(4000) null,
	master int,
	logoId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	settings_ text null,
	layoutSetPrototypeUuid varchar(75) null,
	layoutSetPrototypeLinkEnabled int
)
go

create table LayoutSetPrototype (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	layoutSetPrototypeId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name text null,
	description text null,
	settings_ varchar(4000) null,
	active_ int
)
go

create table ListType (
	mvccVersion decimal(20,0) default 0 not null,
	listTypeId decimal(20,0) not null primary key,
	name varchar(75) null,
	type_ varchar(75) null
)
go

create table MembershipRequest (
	mvccVersion decimal(20,0) default 0 not null,
	membershipRequestId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate bigdatetime null,
	comments varchar(4000) null,
	replyComments varchar(4000) null,
	replyDate bigdatetime null,
	replierUserId decimal(20,0),
	statusId decimal(20,0)
)
go

create table Organization_ (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	organizationId decimal(20,0) not null,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentOrganizationId decimal(20,0),
	treePath varchar(4000) null,
	name varchar(100) null,
	type_ varchar(75) null,
	recursable int,
	regionId decimal(20,0),
	countryId decimal(20,0),
	statusId decimal(20,0),
	comments varchar(4000) null,
	logoId decimal(20,0),
	primary key (organizationId, ctCollectionId)
)
go

create table OrgGroupRole (
	mvccVersion decimal(20,0) default 0 not null,
	organizationId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	companyId decimal(20,0),
	primary key (organizationId, groupId, roleId)
)
go

create table OrgLabor (
	mvccVersion decimal(20,0) default 0 not null,
	orgLaborId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	organizationId decimal(20,0),
	typeId decimal(20,0),
	sunOpen int,
	sunClose int,
	monOpen int,
	monClose int,
	tueOpen int,
	tueClose int,
	wedOpen int,
	wedClose int,
	thuOpen int,
	thuClose int,
	friOpen int,
	friClose int,
	satOpen int,
	satClose int
)
go

create table PasswordPolicy (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	passwordPolicyId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	defaultPolicy int,
	name varchar(75) null,
	description varchar(4000) null,
	changeable int,
	changeRequired int,
	minAge decimal(20,0),
	checkSyntax int,
	allowDictionaryWords int,
	minAlphanumeric int,
	minLength int,
	minLowerCase int,
	minNumbers int,
	minSymbols int,
	minUpperCase int,
	regex varchar(4000) null,
	history int,
	historyCount int,
	expireable int,
	maxAge decimal(20,0),
	warningTime decimal(20,0),
	graceLimit int,
	lockout int,
	maxFailure int,
	lockoutDuration decimal(20,0),
	requireUnlock int,
	resetFailureCount decimal(20,0),
	resetTicketMaxAge decimal(20,0)
)
go

create table PasswordPolicyRel (
	mvccVersion decimal(20,0) default 0 not null,
	passwordPolicyRelId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	passwordPolicyId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0)
)
go

create table PasswordTracker (
	mvccVersion decimal(20,0) default 0 not null,
	passwordTrackerId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate bigdatetime null,
	password_ varchar(75) null
)
go

create table Phone (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	phoneId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	number_ varchar(75) null,
	extension varchar(75) null,
	typeId decimal(20,0),
	primary_ int
)
go

create table PluginSetting (
	mvccVersion decimal(20,0) default 0 not null,
	pluginSettingId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	pluginId varchar(75) null,
	pluginType varchar(75) null,
	roles varchar(4000) null,
	active_ int
)
go

create table PortalPreferences (
	mvccVersion decimal(20,0) default 0 not null,
	portalPreferencesId decimal(20,0) not null primary key,
	ownerId decimal(20,0),
	ownerType int,
	preferences text null
)
go

create table Portlet (
	mvccVersion decimal(20,0) default 0 not null,
	id_ decimal(20,0) not null primary key,
	companyId decimal(20,0),
	portletId varchar(200) null,
	roles varchar(4000) null,
	active_ int
)
go

create table PortletItem (
	mvccVersion decimal(20,0) default 0 not null,
	portletItemId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name varchar(75) null,
	portletId varchar(200) null,
	classNameId decimal(20,0)
)
go

create table PortletPreferences (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	portletPreferencesId decimal(20,0) not null,
	companyId decimal(20,0),
	ownerId decimal(20,0),
	ownerType int,
	plid decimal(20,0),
	portletId varchar(200) null,
	preferences text null,
	primary key (portletPreferencesId, ctCollectionId)
)
go

create table RatingsEntry (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	entryId decimal(20,0) not null,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	score float,
	primary key (entryId, ctCollectionId)
)
go

create table RatingsStats (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	statsId decimal(20,0) not null,
	companyId decimal(20,0),
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	totalEntries int,
	totalScore float,
	averageScore float,
	primary key (statsId, ctCollectionId)
)
go

create table RecentLayoutBranch (
	mvccVersion decimal(20,0) default 0 not null,
	recentLayoutBranchId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	layoutBranchId decimal(20,0),
	layoutSetBranchId decimal(20,0),
	plid decimal(20,0)
)
go

create table RecentLayoutRevision (
	mvccVersion decimal(20,0) default 0 not null,
	recentLayoutRevisionId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	layoutRevisionId decimal(20,0),
	layoutSetBranchId decimal(20,0),
	plid decimal(20,0)
)
go

create table RecentLayoutSetBranch (
	mvccVersion decimal(20,0) default 0 not null,
	recentLayoutSetBranchId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	layoutSetBranchId decimal(20,0),
	layoutSetId decimal(20,0)
)
go

create table Region (
	mvccVersion decimal(20,0) default 0 not null,
	regionId decimal(20,0) not null primary key,
	countryId decimal(20,0),
	regionCode varchar(75) null,
	name varchar(75) null,
	active_ int
)
go

create table Release_ (
	mvccVersion decimal(20,0) default 0 not null,
	releaseId decimal(20,0) not null primary key,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	servletContextName varchar(75) null,
	schemaVersion varchar(75) null,
	buildNumber int,
	buildDate bigdatetime null,
	verified int,
	state_ int,
	testString varchar(1024) null
)
go

create table Repository (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	repositoryId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	name varchar(200) null,
	description varchar(4000) null,
	portletId varchar(200) null,
	typeSettings text null,
	dlFolderId decimal(20,0),
	lastPublishDate bigdatetime null
)
go

create table RepositoryEntry (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	repositoryEntryId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	repositoryId decimal(20,0),
	mappedId varchar(255) null,
	manualCheckInRequired int,
	lastPublishDate bigdatetime null
)
go

create table ResourceAction (
	mvccVersion decimal(20,0) default 0 not null,
	resourceActionId decimal(20,0) not null primary key,
	name varchar(255) null,
	actionId varchar(75) null,
	bitwiseValue decimal(20,0)
)
go

create table ResourcePermission (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	resourcePermissionId decimal(20,0) not null,
	companyId decimal(20,0),
	name varchar(255) null,
	scope int,
	primKey varchar(255) null,
	primKeyId decimal(20,0),
	roleId decimal(20,0),
	ownerId decimal(20,0),
	actionIds decimal(20,0),
	viewActionId int,
	primary key (resourcePermissionId, ctCollectionId)
)
go

create table Role_ (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	roleId decimal(20,0) not null,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	name varchar(75) null,
	title varchar(4000) null,
	description varchar(4000) null,
	type_ int,
	subtype varchar(75) null,
	primary key (roleId, ctCollectionId)
)
go

create table ServiceComponent (
	mvccVersion decimal(20,0) default 0 not null,
	serviceComponentId decimal(20,0) not null primary key,
	buildNamespace varchar(75) null,
	buildNumber decimal(20,0),
	buildDate decimal(20,0),
	data_ text null
)
go

create table SocialActivity (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	activityId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate decimal(20,0),
	activitySetId decimal(20,0),
	mirrorActivityId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	parentClassNameId decimal(20,0),
	parentClassPK decimal(20,0),
	type_ int,
	extraData varchar(4000) null,
	receiverUserId decimal(20,0),
	primary key (activityId, ctCollectionId)
)
go

create table SocialActivityAchievement (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	activityAchievementId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate decimal(20,0),
	name varchar(75) null,
	firstInGroup int,
	primary key (activityAchievementId, ctCollectionId)
)
go

create table SocialActivityCounter (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	activityCounterId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	name varchar(75) null,
	ownerType int,
	currentValue int,
	totalValue int,
	graceValue int,
	startPeriod int,
	endPeriod int,
	active_ int,
	primary key (activityCounterId, ctCollectionId)
)
go

create table SocialActivityLimit (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	activityLimitId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	activityType int,
	activityCounterName varchar(75) null,
	value varchar(75) null,
	primary key (activityLimitId, ctCollectionId)
)
go

create table SocialActivitySet (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	activitySetId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate decimal(20,0),
	modifiedDate decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	type_ int,
	extraData varchar(4000) null,
	activityCount int,
	primary key (activitySetId, ctCollectionId)
)
go

create table SocialActivitySetting (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	activitySettingId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	classNameId decimal(20,0),
	activityType int,
	name varchar(75) null,
	value varchar(1024) null,
	primary key (activitySettingId, ctCollectionId)
)
go

create table SocialRelation (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	relationId decimal(20,0) not null,
	companyId decimal(20,0),
	createDate decimal(20,0),
	userId1 decimal(20,0),
	userId2 decimal(20,0),
	type_ int,
	primary key (relationId, ctCollectionId)
)
go

create table SocialRequest (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	requestId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate decimal(20,0),
	modifiedDate decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	type_ int,
	extraData varchar(4000) null,
	receiverUserId decimal(20,0),
	status int,
	primary key (requestId, ctCollectionId)
)
go

create table SystemEvent (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	systemEventId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	classUuid varchar(75) null,
	referrerClassNameId decimal(20,0),
	parentSystemEventId decimal(20,0),
	systemEventSetKey decimal(20,0),
	type_ int,
	extraData text null,
	primary key (systemEventId, ctCollectionId)
)
go

create table Team (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	teamId decimal(20,0) not null,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	groupId decimal(20,0),
	name varchar(75) null,
	description varchar(4000) null,
	lastPublishDate bigdatetime null,
	primary key (teamId, ctCollectionId)
)
go

create table Ticket (
	mvccVersion decimal(20,0) default 0 not null,
	ticketId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	createDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	key_ varchar(75) null,
	type_ int,
	extraInfo text null,
	expirationDate bigdatetime null
)
go

create table UserNotificationDelivery (
	mvccVersion decimal(20,0) default 0 not null,
	userNotificationDeliveryId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	portletId varchar(200) null,
	classNameId decimal(20,0),
	notificationType int,
	deliveryType int,
	deliver int
)
go

create table User_ (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	userId decimal(20,0) not null,
	companyId decimal(20,0),
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	defaultUser int,
	contactId decimal(20,0),
	password_ varchar(75) null,
	passwordEncrypted int,
	passwordReset int,
	passwordModifiedDate bigdatetime null,
	digest varchar(255) null,
	reminderQueryQuestion varchar(75) null,
	reminderQueryAnswer varchar(75) null,
	graceLoginCount int,
	screenName varchar(75) null,
	emailAddress varchar(254) null,
	facebookId decimal(20,0),
	googleUserId varchar(75) null,
	ldapServerId decimal(20,0),
	openId varchar(1024) null,
	portraitId decimal(20,0),
	languageId varchar(75) null,
	timeZoneId varchar(75) null,
	greeting varchar(255) null,
	comments varchar(4000) null,
	firstName varchar(75) null,
	middleName varchar(75) null,
	lastName varchar(75) null,
	jobTitle varchar(100) null,
	loginDate bigdatetime null,
	loginIP varchar(75) null,
	lastLoginDate bigdatetime null,
	lastLoginIP varchar(75) null,
	lastFailedLoginDate bigdatetime null,
	failedLoginAttempts int,
	lockout int,
	lockoutDate bigdatetime null,
	agreedToTermsOfUse int,
	emailAddressVerified int,
	status int,
	primary key (userId, ctCollectionId)
)
go

create table UserGroup (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	userGroupId decimal(20,0) not null,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentUserGroupId decimal(20,0),
	name varchar(255) null,
	description varchar(4000) null,
	addedByLDAPImport int,
	primary key (userGroupId, ctCollectionId)
)
go

create table UserGroupGroupRole (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	userGroupGroupRoleId decimal(20,0) not null,
	companyId decimal(20,0),
	userGroupId decimal(20,0),
	groupId decimal(20,0),
	roleId decimal(20,0),
	primary key (userGroupGroupRoleId, ctCollectionId)
)
go

create table UserGroupRole (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	userGroupRoleId decimal(20,0) not null,
	companyId decimal(20,0),
	userId decimal(20,0),
	groupId decimal(20,0),
	roleId decimal(20,0),
	primary key (userGroupRoleId, ctCollectionId)
)
go

create table UserGroups_Teams (
	companyId decimal(20,0) not null,
	teamId decimal(20,0) not null,
	userGroupId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (teamId, userGroupId, ctCollectionId)
)
go

create table UserIdMapper (
	mvccVersion decimal(20,0) default 0 not null,
	userIdMapperId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	type_ varchar(75) null,
	description varchar(75) null,
	externalUserId varchar(75) null
)
go

create table UserNotificationEvent (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	userNotificationEventId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	type_ varchar(200) null,
	timestamp decimal(20,0),
	deliveryType int,
	deliverBy decimal(20,0),
	delivered int,
	payload text null,
	actionRequired int,
	archived int
)
go

create table Users_Groups (
	companyId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	userId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (groupId, userId, ctCollectionId)
)
go

create table Users_Orgs (
	companyId decimal(20,0) not null,
	organizationId decimal(20,0) not null,
	userId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (organizationId, userId, ctCollectionId)
)
go

create table Users_Roles (
	companyId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	userId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (roleId, userId, ctCollectionId)
)
go

create table Users_Teams (
	companyId decimal(20,0) not null,
	teamId decimal(20,0) not null,
	userId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (teamId, userId, ctCollectionId)
)
go

create table Users_UserGroups (
	companyId decimal(20,0) not null,
	userId decimal(20,0) not null,
	userGroupId decimal(20,0) not null,
	ctCollectionId decimal(20,0) default 0 not null,
	ctChangeType int,
	primary key (userId, userGroupId, ctCollectionId)
)
go

create table UserTracker (
	mvccVersion decimal(20,0) default 0 not null,
	userTrackerId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	modifiedDate bigdatetime null,
	sessionId varchar(200) null,
	remoteAddr varchar(75) null,
	remoteHost varchar(75) null,
	userAgent varchar(200) null
)
go

create table UserTrackerPath (
	mvccVersion decimal(20,0) default 0 not null,
	userTrackerPathId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userTrackerId decimal(20,0),
	path_ varchar(4000) null,
	pathDate bigdatetime null
)
go

create table VirtualHost (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	virtualHostId decimal(20,0) not null,
	companyId decimal(20,0),
	layoutSetId decimal(20,0),
	hostname varchar(200) null,
	defaultVirtualHost int,
	languageId varchar(75) null,
	primary key (virtualHostId, ctCollectionId)
)
go

create table WebDAVProps (
	mvccVersion decimal(20,0) default 0 not null,
	webDavPropsId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	props text null
)
go

create table Website (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	websiteId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	url varchar(4000) null,
	typeId decimal(20,0),
	primary_ int,
	lastPublishDate bigdatetime null
)
go

create table WorkflowDefinitionLink (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	workflowDefinitionLinkId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	typePK decimal(20,0),
	workflowDefinitionName varchar(75) null,
	workflowDefinitionVersion int,
	primary key (workflowDefinitionLinkId, ctCollectionId)
)
go

create table WorkflowInstanceLink (
	mvccVersion decimal(20,0) default 0 not null,
	ctCollectionId decimal(20,0) default 0 not null,
	workflowInstanceLinkId decimal(20,0) not null,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	workflowInstanceId decimal(20,0),
	primary key (workflowInstanceLinkId, ctCollectionId)
)
go


--
-- List types for accounts
--

insert into ListType (listTypeId, name, type_) values (10000, 'billing', 'com.liferay.portal.kernel.model.Account.address')
go
insert into ListType (listTypeId, name, type_) values (10001, 'other', 'com.liferay.portal.kernel.model.Account.address')
go
insert into ListType (listTypeId, name, type_) values (10002, 'p-o-box', 'com.liferay.portal.kernel.model.Account.address')
go
insert into ListType (listTypeId, name, type_) values (10003, 'shipping', 'com.liferay.portal.kernel.model.Account.address')
go

insert into ListType (listTypeId, name, type_) values (10004, 'email-address', 'com.liferay.portal.kernel.model.Account.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (10005, 'email-address-2', 'com.liferay.portal.kernel.model.Account.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (10006, 'email-address-3', 'com.liferay.portal.kernel.model.Account.emailAddress')
go

insert into ListType (listTypeId, name, type_) values (10007, 'fax', 'com.liferay.portal.kernel.model.Account.phone')
go
insert into ListType (listTypeId, name, type_) values (10008, 'local', 'com.liferay.portal.kernel.model.Account.phone')
go
insert into ListType (listTypeId, name, type_) values (10009, 'other', 'com.liferay.portal.kernel.model.Account.phone')
go
insert into ListType (listTypeId, name, type_) values (10010, 'toll-free', 'com.liferay.portal.kernel.model.Account.phone')
go
insert into ListType (listTypeId, name, type_) values (10011, 'tty', 'com.liferay.portal.kernel.model.Account.phone')
go

insert into ListType (listTypeId, name, type_) values (10012, 'intranet', 'com.liferay.portal.kernel.model.Account.website')
go
insert into ListType (listTypeId, name, type_) values (10013, 'public', 'com.liferay.portal.kernel.model.Account.website')
go

--
-- List types for contacts
--

insert into ListType (listTypeId, name, type_) values (11000, 'business', 'com.liferay.portal.kernel.model.Contact.address')
go
insert into ListType (listTypeId, name, type_) values (11001, 'other', 'com.liferay.portal.kernel.model.Contact.address')
go
insert into ListType (listTypeId, name, type_) values (11002, 'personal', 'com.liferay.portal.kernel.model.Contact.address')
go

insert into ListType (listTypeId, name, type_) values (11003, 'email-address', 'com.liferay.portal.kernel.model.Contact.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (11004, 'email-address-2', 'com.liferay.portal.kernel.model.Contact.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (11005, 'email-address-3', 'com.liferay.portal.kernel.model.Contact.emailAddress')
go

insert into ListType (listTypeId, name, type_) values (11006, 'business', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11007, 'business-fax', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11008, 'mobile-phone', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11009, 'other', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11010, 'pager', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11011, 'personal', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11012, 'personal-fax', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11013, 'tty', 'com.liferay.portal.kernel.model.Contact.phone')
go

insert into ListType (listTypeId, name, type_) values (11014, 'dr', 'com.liferay.portal.kernel.model.Contact.prefix')
go
insert into ListType (listTypeId, name, type_) values (11015, 'mr', 'com.liferay.portal.kernel.model.Contact.prefix')
go
insert into ListType (listTypeId, name, type_) values (11016, 'mrs', 'com.liferay.portal.kernel.model.Contact.prefix')
go
insert into ListType (listTypeId, name, type_) values (11017, 'ms', 'com.liferay.portal.kernel.model.Contact.prefix')
go

insert into ListType (listTypeId, name, type_) values (11020, 'ii', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11021, 'iii', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11022, 'iv', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11023, 'jr', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11024, 'phd', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11025, 'sr', 'com.liferay.portal.kernel.model.Contact.suffix')
go

insert into ListType (listTypeId, name, type_) values (11026, 'blog', 'com.liferay.portal.kernel.model.Contact.website')
go
insert into ListType (listTypeId, name, type_) values (11027, 'business', 'com.liferay.portal.kernel.model.Contact.website')
go
insert into ListType (listTypeId, name, type_) values (11028, 'other', 'com.liferay.portal.kernel.model.Contact.website')
go
insert into ListType (listTypeId, name, type_) values (11029, 'personal', 'com.liferay.portal.kernel.model.Contact.website')
go

--
-- List types for organizations
--

insert into ListType (listTypeId, name, type_) values (12000, 'billing', 'com.liferay.portal.kernel.model.Organization.address')
go
insert into ListType (listTypeId, name, type_) values (12001, 'other', 'com.liferay.portal.kernel.model.Organization.address')
go
insert into ListType (listTypeId, name, type_) values (12002, 'p-o-box', 'com.liferay.portal.kernel.model.Organization.address')
go
insert into ListType (listTypeId, name, type_) values (12003, 'shipping', 'com.liferay.portal.kernel.model.Organization.address')
go

insert into ListType (listTypeId, name, type_) values (12004, 'email-address', 'com.liferay.portal.kernel.model.Organization.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (12005, 'email-address-2', 'com.liferay.portal.kernel.model.Organization.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (12006, 'email-address-3', 'com.liferay.portal.kernel.model.Organization.emailAddress')
go

insert into ListType (listTypeId, name, type_) values (12007, 'fax', 'com.liferay.portal.kernel.model.Organization.phone')
go
insert into ListType (listTypeId, name, type_) values (12008, 'local', 'com.liferay.portal.kernel.model.Organization.phone')
go
insert into ListType (listTypeId, name, type_) values (12009, 'other', 'com.liferay.portal.kernel.model.Organization.phone')
go
insert into ListType (listTypeId, name, type_) values (12010, 'toll-free', 'com.liferay.portal.kernel.model.Organization.phone')
go
insert into ListType (listTypeId, name, type_) values (12011, 'tty', 'com.liferay.portal.kernel.model.Organization.phone')
go

insert into ListType (listTypeId, name, type_) values (12012, 'administrative', 'com.liferay.portal.kernel.model.Organization.service')
go
insert into ListType (listTypeId, name, type_) values (12013, 'contracts', 'com.liferay.portal.kernel.model.Organization.service')
go
insert into ListType (listTypeId, name, type_) values (12014, 'donation', 'com.liferay.portal.kernel.model.Organization.service')
go
insert into ListType (listTypeId, name, type_) values (12015, 'retail', 'com.liferay.portal.kernel.model.Organization.service')
go
insert into ListType (listTypeId, name, type_) values (12016, 'training', 'com.liferay.portal.kernel.model.Organization.service')
go

insert into ListType (listTypeId, name, type_) values (12017, 'full-member', 'com.liferay.portal.kernel.model.Organization.status')
go
insert into ListType (listTypeId, name, type_) values (12018, 'provisional-member', 'com.liferay.portal.kernel.model.Organization.status')
go

insert into ListType (listTypeId, name, type_) values (12019, 'intranet', 'com.liferay.portal.kernel.model.Organization.website')
go
insert into ListType (listTypeId, name, type_) values (12020, 'public', 'com.liferay.portal.kernel.model.Organization.website')
go


insert into Counter (name, currentId) values ('com.liferay.counter.kernel.model.Counter', 20000)
go



go


create index IX_5BC8B0D4 on Address (userId)
go
create index IX_8FCB620E on Address (uuid_, companyId)
go

create index IX_37B0A8A2 on AnnouncementsDelivery (companyId)
go
create unique index IX_BA4413D5 on AnnouncementsDelivery (userId, type_)
go

create index IX_D49C2E66 on AnnouncementsEntry (userId)
go
create index IX_F2949120 on AnnouncementsEntry (uuid_, companyId)
go

create index IX_EF1F022A on AnnouncementsFlag (companyId)
go
create index IX_9C7EB9F on AnnouncementsFlag (entryId)
go
create unique index IX_4539A99C on AnnouncementsFlag (userId, entryId, value)
go

create index IX_AE8DFA7 on AssetCategory (companyId, externalReferenceCode, ctCollectionId)
go
create index IX_1757FA92 on AssetCategory (ctCollectionId)
go
create index IX_62DC0D54 on AssetCategory (groupId, ctCollectionId)
go
create index IX_3E49A228 on AssetCategory (groupId, name, vocabularyId, ctCollectionId)
go
create index IX_5159C90B on AssetCategory (groupId, parentCategoryId, ctCollectionId)
go
create index IX_852EA801 on AssetCategory (groupId, parentCategoryId, name, vocabularyId)
go
create index IX_51264AA0 on AssetCategory (groupId, parentCategoryId, vocabularyId, ctCollectionId)
go
create index IX_7EF2DB29 on AssetCategory (groupId, vocabularyId, ctCollectionId)
go
create index IX_8F988466 on AssetCategory (name, vocabularyId, ctCollectionId)
go
create index IX_88D822C9 on AssetCategory (parentCategoryId, ctCollectionId)
go
create index IX_83C2D848 on AssetCategory (parentCategoryId, name, ctCollectionId)
go
create unique index IX_DC516B1D on AssetCategory (parentCategoryId, name, vocabularyId, ctCollectionId)
go
create index IX_8CEDBFDE on AssetCategory (parentCategoryId, vocabularyId, ctCollectionId)
go
create index IX_59B2EF86 on AssetCategory (uuid_, companyId, ctCollectionId)
go
create index IX_A9CC915E on AssetCategory (uuid_, ctCollectionId)
go
create unique index IX_5B65C08 on AssetCategory (uuid_, groupId, ctCollectionId)
go
create index IX_24AFC3E7 on AssetCategory (vocabularyId, ctCollectionId)
go

create index IX_38A65B55 on AssetEntries_AssetCategories (companyId)
go
create index IX_E119938A on AssetEntries_AssetCategories (entryId)
go

create index IX_112337B8 on AssetEntries_AssetTags (companyId)
go
create index IX_B2A61B55 on AssetEntries_AssetTags (tagId)
go

create unique index IX_7BF8337B on AssetEntry (classNameId, classPK, ctCollectionId)
go
create index IX_25F682BE on AssetEntry (companyId, ctCollectionId)
go
create index IX_E504D126 on AssetEntry (ctCollectionId)
go
create index IX_8839F457 on AssetEntry (expirationDate, ctCollectionId)
go
create index IX_B516ADB0 on AssetEntry (groupId, classNameId, publishDate, expirationDate, ctCollectionId)
go
create index IX_683ADC7F on AssetEntry (groupId, classUuid, ctCollectionId)
go
create index IX_D5B55D40 on AssetEntry (groupId, ctCollectionId)
go
create index IX_5B55565F on AssetEntry (layoutUuid, ctCollectionId)
go
create index IX_788964E3 on AssetEntry (publishDate, ctCollectionId)
go

create index IX_5D969E8E on AssetLink (ctCollectionId)
go
create index IX_9BB95D26 on AssetLink (entryId1, ctCollectionId)
go
create index IX_97B1F7F on AssetLink (entryId1, entryId2, ctCollectionId)
go
create unique index IX_7FC555F2 on AssetLink (entryId1, entryId2, type_, ctCollectionId)
go
create index IX_F75CBE6B on AssetLink (entryId1, type_, ctCollectionId)
go
create index IX_6963BEE7 on AssetLink (entryId2, ctCollectionId)
go
create index IX_F936118A on AssetLink (entryId2, type_, ctCollectionId)
go

create index IX_E534924E on AssetTag (ctCollectionId)
go
create index IX_24286918 on AssetTag (groupId, ctCollectionId)
go
create unique index IX_AA52E757 on AssetTag (groupId, name, ctCollectionId)
go
create index IX_7A6CD00D on AssetTag (name, ctCollectionId)
go
create index IX_71579042 on AssetTag (uuid_, companyId, ctCollectionId)
go
create index IX_E7450E22 on AssetTag (uuid_, ctCollectionId)
go
create unique index IX_A43FBC4 on AssetTag (uuid_, groupId, ctCollectionId)
go

create index IX_F75DCEEA on AssetVocabulary (companyId, ctCollectionId)
go
create index IX_6496D38F on AssetVocabulary (companyId, externalReferenceCode, ctCollectionId)
go
create index IX_49B3687A on AssetVocabulary (ctCollectionId)
go
create index IX_4E99C46C on AssetVocabulary (groupId, ctCollectionId)
go
create unique index IX_AE9F73AB on AssetVocabulary (groupId, name, ctCollectionId)
go
create index IX_2C944C4C on AssetVocabulary (groupId, visibilityType, ctCollectionId)
go
create index IX_B955B36E on AssetVocabulary (uuid_, companyId, ctCollectionId)
go
create index IX_2F3D2E76 on AssetVocabulary (uuid_, ctCollectionId)
go
create unique index IX_8F88F9F0 on AssetVocabulary (uuid_, groupId, ctCollectionId)
go

create unique index IX_E7B95510 on BrowserTracker (userId)
go

create unique index IX_B27A301F on ClassName_ (value)
go

create index IX_38EFE3FD on Company (logoId)
go
create index IX_12566EC2 on Company (mx)
go
create unique index IX_EC00543C on Company (webId)
go

create unique index IX_85C63FD7 on CompanyInfo (companyId)
go

create index IX_B8C28C53 on Contact_ (accountId)
go
create index IX_791914FA on Contact_ (classNameId, classPK)
go
create index IX_FD2E9BDD on Contact_ (companyId, userId)
go
create index IX_42F94F9F on Contact_ (userId)
go

create unique index IX_717B97E1 on Country (a2)
go
create unique index IX_717B9BA2 on Country (a3)
go
create unique index IX_19DA007B on Country (name)
go

create index IX_33E8A112 on DLFileEntry (companyId, ctCollectionId)
go
create index IX_5444C427 on DLFileEntry (companyId, fileEntryTypeId)
go
create index IX_9B56081C on DLFileEntry (custom1ImageId, ctCollectionId)
go
create index IX_9D2F5B3B on DLFileEntry (custom2ImageId, ctCollectionId)
go
create index IX_C0A6F645 on DLFileEntry (fileEntryTypeId, ctCollectionId)
go
create index IX_F951AC2E on DLFileEntry (folderId, name, ctCollectionId)
go
create index IX_60830094 on DLFileEntry (groupId, ctCollectionId)
go
create index IX_BAF654E5 on DLFileEntry (groupId, fileEntryTypeId)
go
create index IX_95A2D1F1 on DLFileEntry (groupId, folderId, ctCollectionId)
go
create index IX_D8883586 on DLFileEntry (groupId, folderId, fileEntryTypeId, ctCollectionId)
go
create unique index IX_A256938C on DLFileEntry (groupId, folderId, fileName, ctCollectionId)
go
create unique index IX_F7878970 on DLFileEntry (groupId, folderId, name, ctCollectionId)
go
create unique index IX_EAAB273 on DLFileEntry (groupId, folderId, title, ctCollectionId)
go
create index IX_3B20ECE on DLFileEntry (groupId, userId, ctCollectionId)
go
create index IX_87A8DFAB on DLFileEntry (groupId, userId, folderId, ctCollectionId)
go
create index IX_863591A1 on DLFileEntry (largeImageId, ctCollectionId)
go
create index IX_72175754 on DLFileEntry (mimeType, ctCollectionId)
go
create index IX_6EC7490B on DLFileEntry (repositoryId, ctCollectionId)
go
create index IX_277C31A8 on DLFileEntry (repositoryId, folderId, ctCollectionId)
go
create index IX_A8521555 on DLFileEntry (smallImageId, ctCollectionId)
go
create index IX_854E0F17 on DLFileEntry (smallImageId, largeImageId, custom1ImageId, custom2ImageId, ctCollectionId)
go
create index IX_1F89A446 on DLFileEntry (uuid_, companyId, ctCollectionId)
go
create index IX_CF17549E on DLFileEntry (uuid_, ctCollectionId)
go
create unique index IX_373340C8 on DLFileEntry (uuid_, groupId, ctCollectionId)
go

create unique index IX_B9210CAD on DLFileEntryMetadata (DDMStructureId, fileVersionId, ctCollectionId)
go
create index IX_8D4F58BC on DLFileEntryMetadata (fileEntryId, ctCollectionId)
go
create index IX_A158EA62 on DLFileEntryMetadata (fileVersionId, ctCollectionId)
go
create index IX_EABA15 on DLFileEntryMetadata (uuid_, companyId, ctCollectionId)
go
create index IX_EAA9CA2F on DLFileEntryMetadata (uuid_, ctCollectionId)
go

create index IX_C0561BFA on DLFileEntryType (groupId, ctCollectionId)
go
create unique index IX_B6F21286 on DLFileEntryType (groupId, dataDefinitionId, ctCollectionId)
go
create unique index IX_402227BD on DLFileEntryType (groupId, fileEntryTypeKey, ctCollectionId)
go
create index IX_F147FBA0 on DLFileEntryType (uuid_, companyId, ctCollectionId)
go
create index IX_17A61184 on DLFileEntryType (uuid_, ctCollectionId)
go
create unique index IX_1773A6A2 on DLFileEntryType (uuid_, groupId, ctCollectionId)
go

create index IX_2E64D9F9 on DLFileEntryTypes_DLFolders (companyId)
go
create index IX_6E00A2EC on DLFileEntryTypes_DLFolders (folderId)
go

create index IX_A46E54B6 on DLFileShortcut (companyId, ctCollectionId)
go
create index IX_80362F9C on DLFileShortcut (companyId, status, ctCollectionId)
go
create index IX_869CA195 on DLFileShortcut (groupId, folderId, ctCollectionId)
go
create index IX_5CAA7254 on DLFileShortcut (toFileEntryId, ctCollectionId)
go
create index IX_FE055022 on DLFileShortcut (uuid_, companyId, ctCollectionId)
go
create index IX_21B07A42 on DLFileShortcut (uuid_, ctCollectionId)
go
create unique index IX_DD2033A4 on DLFileShortcut (uuid_, groupId, ctCollectionId)
go

create index IX_97782D6C on DLFileVersion (companyId, ctCollectionId)
go
create index IX_808EF252 on DLFileVersion (companyId, status, ctCollectionId)
go
create index IX_759EF1C5 on DLFileVersion (fileEntryId, ctCollectionId)
go
create index IX_C97C4DAB on DLFileVersion (fileEntryId, status, ctCollectionId)
go
create unique index IX_10E504DF on DLFileVersion (fileEntryId, version, ctCollectionId)
go
create index IX_3A12DA31 on DLFileVersion (groupId, folderId, status, ctCollectionId)
go
create index IX_DCA2C64B on DLFileVersion (groupId, folderId, title, version, ctCollectionId)
go
create index IX_9E97D7BA on DLFileVersion (mimeType, ctCollectionId)
go
create index IX_16CE5EAC on DLFileVersion (uuid_, companyId, ctCollectionId)
go
create index IX_48BF1DF8 on DLFileVersion (uuid_, ctCollectionId)
go
create unique index IX_350F5CAE on DLFileVersion (uuid_, groupId, ctCollectionId)
go

create index IX_67A46FAA on DLFolder (companyId, ctCollectionId)
go
create index IX_F1EC1690 on DLFolder (companyId, status, ctCollectionId)
go
create index IX_9D91952C on DLFolder (groupId, ctCollectionId)
go
create index IX_CF68C0D3 on DLFolder (groupId, parentFolderId, ctCollectionId)
go
create unique index IX_C7E346D2 on DLFolder (groupId, parentFolderId, name, ctCollectionId)
go
create index IX_4642F2E0 on DLFolder (parentFolderId, name, ctCollectionId)
go
create index IX_BB15D373 on DLFolder (repositoryId, ctCollectionId)
go
create index IX_E7CD911A on DLFolder (repositoryId, parentFolderId, ctCollectionId)
go
create index IX_333CBAAE on DLFolder (uuid_, companyId, ctCollectionId)
go
create index IX_B7722F36 on DLFolder (uuid_, ctCollectionId)
go
create unique index IX_AA08D130 on DLFolder (uuid_, groupId, ctCollectionId)
go

create index IX_7B43CD8 on EmailAddress (userId)
go
create index IX_F74AB912 on EmailAddress (uuid_, companyId)
go

create index IX_8B26D246 on ExpandoColumn (tableId, ctCollectionId)
go
create unique index IX_4A7D3605 on ExpandoColumn (tableId, name, ctCollectionId)
go

create index IX_BCC0D776 on ExpandoRow (classPK, ctCollectionId)
go
create unique index IX_488E0C53 on ExpandoRow (tableId, classPK, ctCollectionId)
go
create index IX_5C47920C on ExpandoRow (tableId, ctCollectionId)
go

create index IX_A905B6E3 on ExpandoTable (companyId, classNameId, ctCollectionId)
go
create unique index IX_87D370E2 on ExpandoTable (companyId, classNameId, name, ctCollectionId)
go

create index IX_FF8FB775 on ExpandoValue (classNameId, classPK, ctCollectionId)
go
create index IX_B5A9F1E5 on ExpandoValue (columnId, ctCollectionId)
go
create unique index IX_E6D98E43 on ExpandoValue (columnId, rowId_, ctCollectionId)
go
create index IX_FC7A3DFE on ExpandoValue (rowId_, ctCollectionId)
go
create index IX_3D37FDAA on ExpandoValue (tableId, classPK, ctCollectionId)
go
create unique index IX_D8C72C45 on ExpandoValue (tableId, columnId, classPK, ctCollectionId)
go
create index IX_8AF759DA on ExpandoValue (tableId, columnId, ctCollectionId)
go
create index IX_EEA372D5 on ExpandoValue (tableId, ctCollectionId)
go
create index IX_4E7B1F33 on ExpandoValue (tableId, rowId_, ctCollectionId)
go

create index IX_1827A2E5 on ExportImportConfiguration (companyId)
go
create index IX_38FA468D on ExportImportConfiguration (groupId, status)
go
create index IX_47CC6234 on ExportImportConfiguration (groupId, type_, status)
go

create index IX_EB3A63D9 on Group_ (classNameId, classPK, ctCollectionId)
go
create index IX_BD3CB13A on Group_ (classNameId, groupId, companyId, parentGroupId)
go
create unique index IX_504CABF5 on Group_ (companyId, classNameId, classPK, ctCollectionId)
go
create index IX_2442742A on Group_ (companyId, classNameId, ctCollectionId)
go
create index IX_B7EBDBB2 on Group_ (companyId, classNameId, parentGroupId, ctCollectionId)
go
create index IX_286EE120 on Group_ (companyId, ctCollectionId)
go
create unique index IX_9A7D6AD0 on Group_ (companyId, friendlyURL, ctCollectionId)
go
create unique index IX_BE219CF4 on Group_ (companyId, groupKey, ctCollectionId)
go
create index IX_A20523FC on Group_ (companyId, parentGroupId, ctCollectionId)
go
create index IX_8060F096 on Group_ (liveGroupId, ctCollectionId)
go
create index IX_21CBD878 on Group_ (uuid_, companyId, ctCollectionId)
go
create index IX_BFEBCBAC on Group_ (uuid_, ctCollectionId)
go

create index IX_8BFD4548 on Groups_Orgs (companyId)
go
create index IX_6BBB7682 on Groups_Orgs (organizationId)
go

create index IX_557D8550 on Groups_Roles (companyId)
go
create index IX_3103EF3D on Groups_Roles (roleId)
go

create index IX_676FC818 on Groups_UserGroups (companyId)
go
create index IX_3B69160F on Groups_UserGroups (userGroupId)
go

create index IX_9720F6AB on Image (size_, ctCollectionId)
go

create index IX_31B45343 on Layout (classNameId, classPK, ctCollectionId)
go
create index IX_4B906FF6 on Layout (companyId, ctCollectionId)
go
create index IX_8F868C29 on Layout (companyId, layoutPrototypeUuid, ctCollectionId)
go
create index IX_FD5AF6EE on Layout (ctCollectionId)
go
create index IX_34D93878 on Layout (groupId, ctCollectionId)
go
create index IX_12770E8F on Layout (groupId, masterLayoutPlid, ctCollectionId)
go
create index IX_94E0E2D9 on Layout (groupId, type_, ctCollectionId)
go
create index IX_E7B06BDB on Layout (iconImageId, ctCollectionId)
go
create index IX_11389031 on Layout (layoutPrototypeUuid, ctCollectionId)
go
create index IX_7F60B703 on Layout (parentPlid, ctCollectionId)
go
create index IX_ED8D4D2A on Layout (sourcePrototypeLayoutUuid, ctCollectionId)
go
create index IX_24AA0CE2 on Layout (uuid_, companyId, ctCollectionId)
go
create index IX_5AA23582 on Layout (uuid_, ctCollectionId)
go

create unique index IX_FD57097D on LayoutBranch (layoutSetBranchId, plid, name)
go

create index IX_1C55E26 on LayoutFriendlyURL (companyId, ctCollectionId)
go
create index IX_7ED3F2A8 on LayoutFriendlyURL (groupId, ctCollectionId)
go
create index IX_EF247709 on LayoutFriendlyURL (plid, ctCollectionId)
go
create index IX_CB1E7787 on LayoutFriendlyURL (plid, friendlyURL, ctCollectionId)
go
create unique index IX_2069E0D0 on LayoutFriendlyURL (plid, languageId, ctCollectionId)
go
create index IX_9DE5C8B2 on LayoutFriendlyURL (uuid_, companyId, ctCollectionId)
go
create index IX_C765BBB2 on LayoutFriendlyURL (uuid_, ctCollectionId)
go
create unique index IX_58E59034 on LayoutFriendlyURL (uuid_, groupId, ctCollectionId)
go

create index IX_63ED2532 on LayoutPrototype (uuid_, companyId)
go

create index IX_13984800 on LayoutRevision (layoutSetBranchId, layoutBranchId, plid)
go
create index IX_4A84AF43 on LayoutRevision (layoutSetBranchId, parentLayoutRevisionId, plid)
go
create index IX_70DA9ECB on LayoutRevision (layoutSetBranchId, plid, status)
go
create index IX_7FFAE700 on LayoutRevision (layoutSetBranchId, status)
go
create index IX_8EC3D2BC on LayoutRevision (plid, status)
go
create index IX_421223B1 on LayoutRevision (status)
go

create index IX_20615181 on LayoutSet (companyId, layoutSetPrototypeUuid, ctCollectionId)
go
create index IX_5B990A4A on LayoutSet (groupId, ctCollectionId)
go
create index IX_55443115 on LayoutSet (layoutSetPrototypeUuid, ctCollectionId)
go


create index IX_D9FFCA84 on LayoutSetPrototype (uuid_, companyId)
go

create index IX_77729718 on ListType (name, type_)
go
create index IX_2932DD37 on ListType (type_)
go

create index IX_C28C72EC on MembershipRequest (groupId, statusId)
go
create index IX_35AA8FA6 on MembershipRequest (groupId, userId, statusId)
go
create index IX_66D70879 on MembershipRequest (userId)
go

create index IX_4A527DD3 on OrgGroupRole (groupId)
go
create index IX_AB044D1C on OrgGroupRole (roleId)
go

create index IX_6AF0D434 on OrgLabor (organizationId)
go

create index IX_2C1E7914 on Organization_ (companyId, ctCollectionId)
go
create index IX_38F85A25 on Organization_ (companyId, externalReferenceCode, ctCollectionId)
go
create unique index IX_F1E40A53 on Organization_ (companyId, name, ctCollectionId)
go
create index IX_7A5E9780 on Organization_ (companyId, parentOrganizationId, ctCollectionId)
go
create index IX_DC36A7BF on Organization_ (companyId, parentOrganizationId, name, ctCollectionId)
go
create index IX_3F532604 on Organization_ (uuid_, companyId, ctCollectionId)
go
create index IX_206D7DA0 on Organization_ (uuid_, ctCollectionId)
go

create unique index IX_3FBFA9F4 on PasswordPolicy (companyId, name)
go
create index IX_E4D7EF87 on PasswordPolicy (uuid_, companyId)
go

create unique index IX_C3A17327 on PasswordPolicyRel (classNameId, classPK)
go
create index IX_CD25266E on PasswordPolicyRel (passwordPolicyId)
go

create index IX_326F75BD on PasswordTracker (userId)
go

create index IX_F202B9CE on Phone (userId)
go
create index IX_B271FA88 on Phone (uuid_, companyId)
go

create unique index IX_7171B2E8 on PluginSetting (companyId, pluginId, pluginType)
go

create index IX_D1F795F1 on PortalPreferences (ownerId, ownerType)
go

create unique index IX_12B5E51D on Portlet (companyId, portletId)
go

create index IX_96BDD537 on PortletItem (groupId, classNameId)
go
create index IX_D699243F on PortletItem (groupId, name, portletId, classNameId)
go
create index IX_E922D6C0 on PortletItem (groupId, portletId, classNameId)
go

create index IX_F0B8A3A0 on PortletPreferences (companyId, ownerId, ownerType, portletId, ctCollectionId)
go
create index IX_31DA3CB8 on PortletPreferences (ownerId, ctCollectionId)
go
create index IX_451D78CC on PortletPreferences (ownerId, ownerType, plid, ctCollectionId)
go
create unique index IX_CB778855 on PortletPreferences (ownerId, ownerType, plid, portletId, ctCollectionId)
go
create index IX_258CCF40 on PortletPreferences (ownerId, ownerType, portletId, ctCollectionId)
go
create index IX_D48717FF on PortletPreferences (ownerType, plid, portletId, ctCollectionId)
go
create index IX_D6C3E66A on PortletPreferences (ownerType, portletId, ctCollectionId)
go
create index IX_C77A74AD on PortletPreferences (plid, ctCollectionId)
go
create index IX_67E205D4 on PortletPreferences (plid, portletId, ctCollectionId)
go
create index IX_8D0717FF on PortletPreferences (portletId, ctCollectionId)
go

create index IX_FD0395B5 on RatingsEntry (classNameId, classPK, ctCollectionId)
go
create index IX_66592BE9 on RatingsEntry (classNameId, classPK, score, ctCollectionId)
go
create unique index IX_B938D06F on RatingsEntry (userId, classNameId, classPK, ctCollectionId)
go
create index IX_CBD05854 on RatingsEntry (uuid_, companyId, ctCollectionId)
go
create index IX_A4389D50 on RatingsEntry (uuid_, ctCollectionId)
go

create unique index IX_C286E0E2 on RatingsStats (classNameId, classPK, ctCollectionId)
go
create index IX_5EC6007D on RatingsStats (classNameId, createDate)
go
create index IX_11A5584A on RatingsStats (classNameId, modifiedDate)
go

create index IX_B91F79BD on RecentLayoutBranch (groupId)
go
create index IX_351E86E8 on RecentLayoutBranch (layoutBranchId)
go
create unique index IX_C27D6369 on RecentLayoutBranch (userId, layoutSetBranchId, plid)
go

create index IX_8D8A2724 on RecentLayoutRevision (groupId)
go
create index IX_DA0788DA on RecentLayoutRevision (layoutRevisionId)
go
create unique index IX_4C600BD0 on RecentLayoutRevision (userId, layoutSetBranchId, plid)
go

create index IX_711995A5 on RecentLayoutSetBranch (groupId)
go
create index IX_23FF0700 on RecentLayoutSetBranch (layoutSetBranchId)
go
create unique index IX_4654D204 on RecentLayoutSetBranch (userId, layoutSetId)
go

create unique index IX_A2635F5C on Region (countryId, regionCode)
go

create unique index IX_8BD6BCA7 on Release_ (servletContextName)
go

create unique index IX_60C8634C on Repository (groupId, name, portletId)
go
create index IX_F543EA4 on Repository (uuid_, companyId)
go
create unique index IX_11641E26 on Repository (uuid_, groupId)
go

create unique index IX_9BDCF489 on RepositoryEntry (repositoryId, mappedId)
go
create index IX_D3B9AF62 on RepositoryEntry (uuid_, companyId)
go
create unique index IX_354AA664 on RepositoryEntry (uuid_, groupId)
go

create unique index IX_EDB9986E on ResourceAction (name, actionId)
go

create index IX_9A838EC7 on ResourcePermission (companyId, name, scope, primKey, ctCollectionId)
go
create unique index IX_A9FF4B2C on ResourcePermission (companyId, name, scope, primKey, roleId, ctCollectionId)
go
create index IX_829B8423 on ResourcePermission (companyId, name, scope, roleId, ctCollectionId)
go
create index IX_490017A2 on ResourcePermission (companyId, primKey, ctCollectionId)
go
create index IX_2FABAAC8 on ResourcePermission (companyId, scope, primKey, ctCollectionId)
go
create index IX_FABE6981 on ResourcePermission (ctCollectionId)
go
create index IX_6AD73500 on ResourcePermission (name, ctCollectionId)
go
create index IX_3078CBE6 on ResourcePermission (roleId, ctCollectionId)
go
create index IX_F3870DDF on ResourcePermission (scope, ctCollectionId)
go

create unique index IX_C0F6BCAC on Role_ (companyId, classNameId, classPK, ctCollectionId)
go
create index IX_4EA65517 on Role_ (companyId, ctCollectionId)
go
create unique index IX_4CC99816 on Role_ (companyId, name, ctCollectionId)
go
create index IX_7037255A on Role_ (companyId, type_, ctCollectionId)
go
create index IX_B482E6EC on Role_ (name, ctCollectionId)
go
create index IX_18A86359 on Role_ (subtype, ctCollectionId)
go
create index IX_FFA7B144 on Role_ (type_, ctCollectionId)
go
create index IX_D8DA3062 on Role_ (type_, subtype, ctCollectionId)
go
create index IX_411F50A1 on Role_ (uuid_, companyId, ctCollectionId)
go
create index IX_EFF1D323 on Role_ (uuid_, ctCollectionId)
go

create unique index IX_4F0315B8 on ServiceComponent (buildNamespace, buildNumber)
go

create index IX_9E7AC81A on SocialActivity (activitySetId, ctCollectionId)
go
create index IX_AD0B0FB5 on SocialActivity (classNameId, classPK, ctCollectionId)
go
create index IX_90E6DCFC on SocialActivity (classNameId, classPK, type_, ctCollectionId)
go
create index IX_5AD306C4 on SocialActivity (companyId, ctCollectionId)
go
create index IX_A9CF2AC6 on SocialActivity (groupId, ctCollectionId)
go
create index IX_9C9CB625 on SocialActivity (groupId, userId, classNameId, classPK, type_, receiverUserId, ctCollectionId)
go
create unique index IX_24810327 on SocialActivity (groupId, userId, createDate, classNameId, classPK, type_, receiverUserId, ctCollectionId)
go
create index IX_A57E31D2 on SocialActivity (mirrorActivityId, classNameId, classPK, ctCollectionId)
go
create index IX_28C22ABD on SocialActivity (mirrorActivityId, ctCollectionId)
go
create index IX_E948429 on SocialActivity (receiverUserId, ctCollectionId)
go
create index IX_96BE971A on SocialActivity (userId, ctCollectionId)
go

create index IX_5DE7864F on SocialActivityAchievement (groupId, ctCollectionId)
go
create index IX_CAFEFF4E on SocialActivityAchievement (groupId, name, ctCollectionId)
go
create index IX_38BEA989 on SocialActivityAchievement (groupId, userId, ctCollectionId)
go
create unique index IX_5ED94F08 on SocialActivityAchievement (groupId, userId, name, ctCollectionId)
go

create index IX_BDC6A299 on SocialActivityCounter (classNameId, classPK, ctCollectionId)
go
create unique index IX_8F6B63C5 on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, endPeriod, ctCollectionId)
go
create unique index IX_D520F00C on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, startPeriod, ctCollectionId)
go
create index IX_B7252B62 on SocialActivityCounter (groupId, classNameId, classPK, ownerType, ctCollectionId)
go
create index IX_7ACAB562 on SocialActivityCounter (groupId, ctCollectionId)
go

create index IX_D800658 on SocialActivityLimit (classNameId, classPK, ctCollectionId)
go
create index IX_197F2743 on SocialActivityLimit (groupId, ctCollectionId)
go
create unique index IX_4A636E75 on SocialActivityLimit (groupId, userId, classNameId, classPK, activityType, activityCounterName, ctCollectionId)
go
create index IX_710E96FD on SocialActivityLimit (userId, ctCollectionId)
go

create index IX_49DD2872 on SocialActivitySet (classNameId, classPK, type_, ctCollectionId)
go
create index IX_34A94D3C on SocialActivitySet (groupId, ctCollectionId)
go
create index IX_EF8C463D on SocialActivitySet (groupId, userId, classNameId, type_, ctCollectionId)
go
create index IX_F4E22E1B on SocialActivitySet (groupId, userId, type_, ctCollectionId)
go
create index IX_EF377278 on SocialActivitySet (userId, classNameId, classPK, type_, ctCollectionId)
go
create index IX_A37B4DE4 on SocialActivitySet (userId, ctCollectionId)
go

create index IX_35A9252B on SocialActivitySetting (groupId, activityType, ctCollectionId)
go
create index IX_D0E7F399 on SocialActivitySetting (groupId, classNameId, activityType, ctCollectionId)
go
create index IX_4FC6CD18 on SocialActivitySetting (groupId, classNameId, activityType, name, ctCollectionId)
go
create index IX_11AAEF7C on SocialActivitySetting (groupId, classNameId, ctCollectionId)
go
create index IX_6B06688E on SocialActivitySetting (groupId, ctCollectionId)
go

create index IX_60BA2F7 on SocialRelation (companyId, ctCollectionId)
go
create index IX_2CB87B7A on SocialRelation (companyId, type_, ctCollectionId)
go
create index IX_A29EEF24 on SocialRelation (type_, ctCollectionId)
go
create index IX_BDCE8C2A on SocialRelation (userId1, ctCollectionId)
go
create index IX_3A6962E7 on SocialRelation (userId1, type_, ctCollectionId)
go
create index IX_5A757CEE on SocialRelation (userId1, userId2, ctCollectionId)
go
create unique index IX_D97ACDA3 on SocialRelation (userId1, userId2, type_, ctCollectionId)
go
create index IX_8B78EDEB on SocialRelation (userId2, ctCollectionId)
go
create index IX_3C42B606 on SocialRelation (userId2, type_, ctCollectionId)
go
create index IX_FDA0A6C1 on SocialRelation (uuid_, companyId, ctCollectionId)
go
create index IX_92E91103 on SocialRelation (uuid_, ctCollectionId)
go

create index IX_A776F23B on SocialRequest (classNameId, classPK, ctCollectionId)
go
create index IX_EB193CE5 on SocialRequest (classNameId, classPK, type_, receiverUserId, status, ctCollectionId)
go
create index IX_9E3B7BFE on SocialRequest (companyId, ctCollectionId)
go
create index IX_B626432F on SocialRequest (receiverUserId, ctCollectionId)
go
create index IX_9E789515 on SocialRequest (receiverUserId, status, ctCollectionId)
go
create unique index IX_EF4BB505 on SocialRequest (userId, classNameId, classPK, type_, receiverUserId, ctCollectionId)
go
create index IX_D54872A2 on SocialRequest (userId, classNameId, classPK, type_, status, ctCollectionId)
go
create index IX_8CAABC20 on SocialRequest (userId, ctCollectionId)
go
create index IX_59718D06 on SocialRequest (userId, status, ctCollectionId)
go
create index IX_58C2E7DA on SocialRequest (uuid_, companyId, ctCollectionId)
go
create index IX_684858A on SocialRequest (uuid_, ctCollectionId)
go
create unique index IX_350595C on SocialRequest (uuid_, groupId, ctCollectionId)
go

create index IX_46E892C on SystemEvent (groupId, classNameId, classPK, ctCollectionId)
go
create index IX_6C051FA5 on SystemEvent (groupId, classNameId, classPK, type_, ctCollectionId)
go
create index IX_E9FA8197 on SystemEvent (groupId, ctCollectionId)
go
create index IX_C009825D on SystemEvent (groupId, systemEventSetKey, ctCollectionId)
go

create index IX_713531A3 on Team (companyId, ctCollectionId)
go
create index IX_622C8165 on Team (groupId, ctCollectionId)
go
create unique index IX_D424D1E4 on Team (groupId, name, ctCollectionId)
go
create index IX_14857E95 on Team (uuid_, companyId, ctCollectionId)
go
create index IX_FC1CD5AF on Team (uuid_, ctCollectionId)
go
create unique index IX_1AAF62D7 on Team (uuid_, groupId, ctCollectionId)
go

create index IX_1E8DFB2E on Ticket (classNameId, classPK, type_)
go
create index IX_8BACD0AA on Ticket (companyId, classNameId, classPK, type_)
go
create index IX_B2468446 on Ticket (key_)
go

create index IX_E8AD6A2C on UserGroup (companyId, ctCollectionId)
go
create index IX_544FAE0D on UserGroup (companyId, externalReferenceCode, ctCollectionId)
go
create unique index IX_3F4FC96B on UserGroup (companyId, name, ctCollectionId)
go
create index IX_FFCDFCE5 on UserGroup (companyId, parentUserGroupId, ctCollectionId)
go
create index IX_9F5F49EC on UserGroup (uuid_, companyId, ctCollectionId)
go
create index IX_C990BAB8 on UserGroup (uuid_, ctCollectionId)
go

create index IX_CF59F0C1 on UserGroupGroupRole (groupId, ctCollectionId)
go
create index IX_61B91326 on UserGroupGroupRole (groupId, roleId, ctCollectionId)
go
create index IX_92E36EA on UserGroupGroupRole (roleId, ctCollectionId)
go
create index IX_663FBB6 on UserGroupGroupRole (userGroupId, ctCollectionId)
go
create index IX_451514B0 on UserGroupGroupRole (userGroupId, groupId, ctCollectionId)
go
create unique index IX_B384D815 on UserGroupGroupRole (userGroupId, groupId, roleId, ctCollectionId)
go

create index IX_813D2FD8 on UserGroupRole (groupId, ctCollectionId)
go
create index IX_AA134B3D on UserGroupRole (groupId, roleId, ctCollectionId)
go
create index IX_EEB38F3 on UserGroupRole (roleId, ctCollectionId)
go
create index IX_21D2A7C8 on UserGroupRole (userId, ctCollectionId)
go
create index IX_AA91DCDE on UserGroupRole (userId, groupId, ctCollectionId)
go
create unique index IX_F8059243 on UserGroupRole (userId, groupId, roleId, ctCollectionId)
go

create index IX_2AC5356C on UserGroups_Teams (companyId)
go
create index IX_7F187E63 on UserGroups_Teams (userGroupId)
go

create unique index IX_41A32E0D on UserIdMapper (type_, externalUserId)
go
create unique index IX_D1C44A6E on UserIdMapper (userId, type_)
go

create unique index IX_8B6E3ACE on UserNotificationDelivery (userId, portletId, classNameId, notificationType, deliveryType)
go

create index IX_BF29100B on UserNotificationEvent (type_)
go
create index IX_A6BAFDFE on UserNotificationEvent (uuid_, companyId)
go

create index IX_29BA1CF5 on UserTracker (companyId)
go
create index IX_46B0AE8E on UserTracker (sessionId)
go
create index IX_E4EFBA8D on UserTracker (userId)
go

create index IX_14D8BCC0 on UserTrackerPath (userTrackerId)
go

create index IX_51338B6A on User_ (companyId, createDate, ctCollectionId)
go
create index IX_A09EEAB5 on User_ (companyId, createDate, modifiedDate, ctCollectionId)
go
create index IX_53E4FDAC on User_ (companyId, ctCollectionId)
go
create unique index IX_6C9F41D8 on User_ (companyId, emailAddress, ctCollectionId)
go
create index IX_210A2A8D on User_ (companyId, externalReferenceCode, ctCollectionId)
go
create index IX_F0BD8F61 on User_ (companyId, facebookId, ctCollectionId)
go
create index IX_66712F3F on User_ (companyId, googleUserId, ctCollectionId)
go
create index IX_79724177 on User_ (companyId, modifiedDate, ctCollectionId)
go
create index IX_952F78E5 on User_ (companyId, openId, ctCollectionId)
go
create unique index IX_EEC1E477 on User_ (companyId, screenName, ctCollectionId)
go
create index IX_BC478292 on User_ (companyId, status, ctCollectionId)
go
create unique index IX_C15FB5CF on User_ (contactId, ctCollectionId)
go
create index IX_E1D5EE24 on User_ (emailAddress, ctCollectionId)
go
create index IX_64D54302 on User_ (portraitId, ctCollectionId)
go
create index IX_B5A2C66C on User_ (uuid_, companyId, ctCollectionId)
go
create index IX_EA9E0E38 on User_ (uuid_, ctCollectionId)
go

create index IX_3499B657 on Users_Groups (companyId)
go
create index IX_F10B6C6B on Users_Groups (userId)
go

create index IX_5FBB883C on Users_Orgs (companyId)
go
create index IX_FB646CA6 on Users_Orgs (userId)
go

create index IX_F987A0DC on Users_Roles (companyId)
go
create index IX_C1A01806 on Users_Roles (userId)
go

create index IX_799F8283 on Users_Teams (companyId)
go
create index IX_A098EFBF on Users_Teams (userId)
go

create index IX_BB65040C on Users_UserGroups (companyId)
go
create index IX_66FF2503 on Users_UserGroups (userGroupId)
go

create index IX_741D01F2 on VirtualHost (companyId, layoutSetId, ctCollectionId)
go
create unique index IX_76A64FBE on VirtualHost (hostname, ctCollectionId)
go

create unique index IX_97DFA146 on WebDAVProps (classNameId, classPK)
go

create index IX_F75690BB on Website (userId)
go
create index IX_712BCD35 on Website (uuid_, companyId)
go

create index IX_6483FCD4 on WorkflowDefinitionLink (companyId, ctCollectionId)
go
create index IX_701BF76D on WorkflowDefinitionLink (companyId, workflowDefinitionName, workflowDefinitionVersion, ctCollectionId)
go
create index IX_B6C5C563 on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, ctCollectionId)
go
create index IX_65327B4C on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, typePK, ctCollectionId)
go
create index IX_5E9866FC on WorkflowDefinitionLink (groupId, companyId, classNameId, ctCollectionId)
go
create index IX_52C09F91 on WorkflowDefinitionLink (groupId, companyId, classPK, ctCollectionId)
go

create index IX_688A5865 on WorkflowInstanceLink (groupId, companyId, classNameId, classPK, ctCollectionId)
go
create index IX_6E4C09BA on WorkflowInstanceLink (groupId, companyId, classNameId, ctCollectionId)
go



